directories:
  output: release/build
  buildResources: resources
  app: release/app
productName: NCS
appId: com.ncs.desk
afterSign: scripts/notarize.js
files:
  - filter:
      - dist
      - node_modules
      - package.json
      - index.html
      - main.prod.js
      - main.prod.js.map
publish:
  - provider: generic
    url: https://updates.hoolva.com/
copyright: Copyright © 2019 to 2025
mac:
  target:
    target: default
    arch:
      - x64
      - arm64
  icon: assets/icons/ncsLogo512.png
  type: distribution
  hardenedRuntime: true
  entitlements: assets/entitlements.mac.plist
  entitlementsInherit: assets/entitlements.mac.plist
  gatekeeperAssess: false
dmg:
  contents:
    - x: 130
      'y': 220
    - x: 410
      'y': 220
      type: link
      path: /Applications
win:
  target:
    - nsis
protocols:
  name: NCS
  schemes:
    - NCS
appx:
  identityName: NCS.NCS
  publisher: CN=A6111D79-80E5-482B-98C3-24679977599F
  publisherDisplayName: Netstratum
nsis:
  oneClick: false
  allowElevation: true
  installerIcon: 256x256.ico
  createDesktopShortcut: always
  createStartMenuShortcut: true
  menuCategory: 'true'
  shortcutName: NCS
  installerSidebar: resources/build-icons/installerSidebar.bmp
squirrelWindows:
  iconUrl: http://voifinity.in/icons/squirrel/256x256.ico
  msi: false
  remoteReleases: http://voifinity.in/updates/
  useAppIdAsId: true
linux:
  icon: assets/icons/ncsLogo512.icns
  category: Utility
  target: deb
  mimeTypes:
    - x-scheme-handler/ncs
  desktop:
    exec: ncs %U
extraResources:
  - filter:
      - ./assets/**
electronVersion: 18.3.15
